package com.unissoft.ventilation.controller;


import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import com.unissoft.result.ResultView;
import com.unissoft.ventilation.service.ProcessMainService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author My SunShine
 * @since 2020-12-08
 */
@Api(description = "主流程控制器")
@RestController
@RequestMapping("/ventilation/processMain")
public class ProcessMainController {

	@Autowired
    private ProcessMainService processMainService;
	
	
	/**
	 * 获取所有主流程和子流程的数据
	 * @param parameter
	 * @return
	 */
	@ApiOperation(value = "获取所有主流程和子流程的数据", notes = "")
	@GetMapping("/getAllProcess/{type}")
    public ResultView getAllProcess(@PathVariable String type) {
		List<Map<String,Object>> list = processMainService.getAllProcess(type);
        return ResultView.success(list);
    }
	
}
